Subject: Re: GDB core dump support for cygwin gives compilation failure!
From: Pierre Muller <[email-masked]>
To: Egor Duda <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Aug 2000 10:41:46 +0200

At 10:38 29/08/00 , you wrote:
>Hi!
>
>Tuesday, 29 August, 2000 Pierre Muller [email-masked] wrote:
>
>PM>   I can't compile GDB for cygwin anymore apparently since this 'core dump
>PM> support' patch .
>
>[...]
>
>PM> I don't have a sys/procfs.h header in my includes !!
>PM> I installed it using the latest GUI setup program,
>PM> isn't that enough to be able to compile the GDB on CVS ??
>PM> What is missing in my installation ?
>
>the  answer  is  simple  --  sys/procfs.h  file is missing in includes
>directories. You have to get two files from sourceware cvs --
>winsup/cygwin/include/sys/procfs.h and
winsup/cygwin/include/cygwin/core_dump.h

  Do you mean that adding the headers to my
include dir would be enough ?
  Probably I also need a library that includes the functions defined 
inside those headers (unless they only contain type definitions)

>to  build cvs version of gdb it's sometimes needed to use  cvs version
>of cygwin.

  That's what I suspected, but I don't know if this is a good practice!
Imagine that GDB 5.1 is released before next Cygwin release !

Pierre Muller
Institut Charles Sadron
6,rue Boussingault
F 67083 STRASBOURG CEDEX (France)
mailto:[email-masked]
Phone : (33)-3-88-41-40-07  Fax : (33)-3-88-41-40-99

--
Want to unsubscribe from this list?
Send a message to [email-masked]